// ------------------------------------------------------------------
// Enviar a Inutilização de Números da NFe
// ------------------------------------------------------------------
unit InutilizacaoNumeroNFe;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils, ComObj, Dialogs, Variants;

type
  TInutilizacaoNumeroNFe = class
  private

  public
    procedure Executar;
  end;

implementation

procedure TInutilizacaoNumeroNFe.Executar;
var
  oConfiguracao: olevariant;
  oExceptionInterop: olevariant;

  I: integer;
  oInutNFe: olevariant;
  oInutilizacao: olevariant;
  xmlAssinado: string;
  nHandle: TFileStream;
  nomeArquivoXML: string;

begin
  // Criar objeto de configuração mínima
  oConfiguracao := CreateOleObject('Unimake.Business.DFe.Servicos.Configuracao');
  oConfiguracao.TipoDFe := 0; //0=NFe
  oConfiguracao.CertificadoArquivo := 'C:\Projetos\certificados\UnimakePV.pfx';
  oConfiguracao.CertificadoSenha := '12345678';

  //Criar objeto do XML




  //Criar objeto para pegar exceção do lado do CSHARP
  oExceptionInterop := CreateOleObject('Unimake.Exceptions.ThrowHelper');

  try
    begin
      // Enviar

    end;

  except
    ShowMessage(oExceptionInterop.GetMessage());
    ShowMessage(IntToStr(oExceptionInterop.GetErrorCode()));
  end;
end;

end.
